Bug 233805 - pup tries to update xkeyboard-config despite dependency, claims it was updated when it wasn't
Summary: pup tries to update xkeyboard-config despite dependency, claims it was update...
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xkeyboard-config (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact:
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-25 06:54 UTC by Jonathan Kamens
Modified: 2008-05-07 01:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 01:20:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Kamens 2007-03-25 06:54:22 UTC
The current xkeyboard-config package in development claims to obsolete
xorg-x11-xkbdata, so pup wants to install it for me.  Unfortunately,
xorg-x11-server-Xorg-1.2.99.902-1.fc7 depends on xorg-x11-xkbdata, so
xkeyboard-config can't be installed without breaking a dependency. 
Nevertheless, pup claims that it's installing the update and claims that it was
successful, even though it didn't actually install anything, and then it asks me
about again later.

Comment 1 Jonathan Kamens 2007-03-25 06:57:03 UTC
I wonder if it might be yum that's at fault rather than pop.  I see a syslog
message from yum claiming that it installed xkeyboard-config, but it isn't
actually installed.


Comment 2 Jeremy Katz 2007-03-26 15:05:02 UTC
What versions of pirut and yum do you have installed? 

Comment 3 Jonathan Kamens 2007-03-26 15:07:24 UTC
jik2:/etc!1043$ rpm -q pirut yum
pirut-1.3.4-1.fc7
yum-3.1.5-1.fc7


Comment 4 Jeremy Katz 2007-04-09 20:57:42 UTC
Is this still happenign with yum 3.1.6?

Comment 5 Jonathan Kamens 2007-04-13 12:01:34 UTC
This is still happening, and this probably has something to do with it:

jik2:/var/cache/yum!1017$ sudo rpm -Uvh */packages/xkeyboard-config*
warning: development/packages/xkeyboard-config-0.8-7.fc6.noarch.rpm: Header V3
DSA signature: NOKEY, key ID 897da07a
Preparing...                ########################################### [100%]
   1:xkeyboard-config       ########################################### [100%]
error: unpacking of archive failed on file /usr/share/X11/xkb/symbols/pc: cpio:
rename failed - Is a directory

After the error above, xkeyboard-config isn't actually installed.

Comment 6 Jeremy Katz 2007-04-16 15:48:42 UTC
Indeed, that will.  What version of xorg-x11-xkb-data do you have installed? 
And does it verify correctly?

I don't think we did directory->symlink there but it's looking like we might have...

Comment 7 Jonathan Kamens 2007-04-17 01:02:36 UTC
xorg-x11-xkbdata-1.0.1-2.noarch.rpm

Comment 8 Bug Zapper 2008-04-03 23:46:54 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 9 Bug Zapper 2008-05-07 01:20:03 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.